Name:          libmad
Version:       0.15.1b
Release:       28
Summary:       MPEG audio decoder library

License:       GPLv2+
URL:           http://www.underbit.com/products/mad/
Source0:       http://download.sourceforge.net/mad/%{name}-%{version}.tar.gz

Patch0001:     libmad-0.15.1b-ppc.patch
Patch0002:     Provide-Thumb-2-alternative-code-for-MAD_F_MLN.diff
Patch0003:     libmad.thumb.diff
Patch0004:     libmad-0.15.1b-cflags.patch
Patch0005:     libmad-0.15.1b-cflags-O2.patch
Patch0006:     length-check.patch
Patch0007:     md_size.diff

BuildRequires: automake autoconf libtool


%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

%package        devel
Summary:        MPEG audio decoder library development files
Requires:       %{name} = %{version}-%{release}

%description    devel
MPEG audio decoder library development files


%prep
%autosetup -p1
touch -r aclocal.m4 configure.ac NEWS AUTHORS ChangeLog

%{__cat} << EOF > mad.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: mad
Description: MPEG Audio Decoder
Requires:
Version: %{version}
Libs: -L%{_libdir} -lmad -lm
Cflags: -I%{_includedir}
EOF


%build
autoreconf -sfiv
%configure --enable-fpm=64bit --disable-dependency-tracking \
           --enable-accuracy --disable-static
%make_build

%install
%make_install
%delete_la
install -D -p -m 0644 mad.pc %{buildroot}%{_libdir}/pkgconfig/mad.pc


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%doc CHANGES CREDITS README TODO COPYING COPYRIGHT
%{_libdir}/libmad.so.*

%files devel
%{_libdir}/libmad.so
%{_libdir}/pkgconfig/mad.pc
%{_includedir}/mad.h


%changelog
* Tue Feb 25 2020 zhouyihang<zhouyihang1@huawei.com> - 0.15.1b-28
- Package init
